GNU bug report logs - #12778
Failure when running check-root make target

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: coreutils; Reported by: Matt Burgess <matthew@HIDDEN>; dated Thu, 1 Nov 2012 20:33:01 UTC; Maintainer for coreutils is bug-coreutils@HIDDEN.

Message received at 12778 <at> debbugs.gnu.org:


Received: (at 12778) by debbugs.gnu.org; 18 Nov 2012 18:18:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 18 13:18:06 2012
Received: from localhost ([127.0.0.1]:53215 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Ta9RV-0002n5-6F
	for submit <at> debbugs.gnu.org; Sun, 18 Nov 2012 13:18:05 -0500
Received: from smtp1-g21.free.fr ([212.27.42.1]:58253)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <g.esp@HIDDEN>) id 1Ta9RS-0002md-Cb
	for 12778 <at> debbugs.gnu.org; Sun, 18 Nov 2012 13:18:04 -0500
Received: from zimbra33-e6.priv.proxad.net (unknown [172.20.243.183])
	by smtp1-g21.free.fr (Postfix) with ESMTP id 015629401E0;
	Sun, 18 Nov 2012 19:16:56 +0100 (CET)
Date: Sun, 18 Nov 2012 19:16:55 +0100 (CET)
From: g.esp@HIDDEN
To: Matt Burgess <matthew@HIDDEN>
Message-ID: <1430117050.50226091.1353262615669.JavaMail.root@HIDDEN>
In-Reply-To: <1351801773.1606.7.camel@HIDDEN>
Subject: Re: bug#12778: Failure when running check-root make target
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Originating-IP: [82.236.101.3]
X-Mailer: Zimbra 7.2.0-GA2598 (ZimbraWebClient - FF3.0 (Win)/7.2.0-GA2598)
X-Authenticated-User: g.esp@HIDDEN
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 12778
Cc: Stefano Lattarini <stefano.lattarini@HIDDEN>, 12778 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 0.8 (/)



----- Mail original -----
> De: "Matt Burgess" <matthew@HIDDEN>
> =C3=80: 12778 <at> debbugs.gnu.org
> Cc: matthew@HIDDEN
> Envoy=C3=A9: Jeudi 1 Novembre 2012 21:29:33
> Objet: bug#12778: Failure when running check-root make target
>=20
> Hi,
>=20
> When running 'make NON_ROOT_USERNAME=3Dnobody check-root' on
> coreutils-8.20, I get:
>=20
>   CCLD   test-xvasprintf
>   CC     test-yesno.o
>   CCLD   test-yesno
> make[6]: Leaving directory
> `/home/burgessm/sources/coreutils-8.20/gnulib-tests'
> make  check-TESTS
> make[6]: Entering directory
> `/home/burgessm/sources/coreutils-8.20/gnulib-tests'
> make[7]: Entering directory
> `/home/burgessm/sources/coreutils-8.20/gnulib-tests'
> make[7]: *** No rule to make target `tests/chown/basic.sh.log',
> needed
> by `test-suite.log'.  Stop.
> make[7]: Leaving directory
> `/home/burgessm/sources/coreutils-8.20/gnulib-tests'
> make[6]: *** [check-TESTS] Error 2
>=20
> This looks a little odd to me, as it appears that its finished building
> the gnulib-tests, comes out of that directory, then immediately goes
> back in to then start running coreutils' own tests, which it has already
> successfully run.  Unless I've completely misread the logs, that is.
>=20
> This is on a Fedora-17 host, in case it's caused by make (3.82) or
> something else in the toolchain.
>=20
> Thanks,
>=20
> Matt.
>=20
>=20

I think this was commit 21b5147fd8ee493727e2a3ca17b3bf695c5024d3 in v8.20 t=
hat broke the behavior.

-# Some tests always need root privileges, others need them only sometimes.
-ALL_RECURSIVE_TARGETS +=3D check-root
-check-root:
-       cd tests && $(MAKE) $@ SUBDIRS=3D
-


Previously check-root was a recursive target going nowhere but in tests dir=
ectory.
Now, top Makefile contain

ALL_RECURSIVE_TARGETS =3D distcheck-hook check-root
SUBDIRS =3D po . gnulib-tests

check-root:
=09$(MAKE) check TESTS=3D'$(root_tests)'


So check-root target would go in 'po . gnulib-tests' directories if not sto=
pped by the above issue.

With coreutils-8.20, same result could be achieved using :
make NON_ROOT_USERNAME=3Dnobody SUBDIRS=3D check-root

This patch allow again "make NON_ROOT_USERNAME=3Dnobody check-root" to run =
without the error above.
This worked for me running autoreconf -fiv && configure again && make && ma=
ke NON_ROOT_USERNAME=3Dnobody check-root
I supposed it is not required to run both 'check-TESTS check-local' targets=
 while running check-root, so I replaced too 'check' target by 'check-TESTS=
'.

Gilles

diff --git a/tests/local.mk b/tests/local.mk
index 1b0ace4..f3b4849 100644
--- a/tests/local.mk
+++ b/tests/local.mk
@@ -137,7 +137,7 @@ all_root_tests =3D                            \
 ALL_RECURSIVE_TARGETS +=3D check-root
 .PHONY: check-root
 check-root:
-       $(MAKE) check TESTS=3D'$(root_tests)'
+       $(MAKE) check-TESTS TESTS=3D'$(root_tests)' SUBDIRS=3D

 # Do not choose a name that is a shell keyword like 'if', or a
 # commonly-used utility like 'cat' or 'test', as the name of a test.






Information forwarded to bug-coreutils@HIDDEN:
bug#12778; Package coreutils. Full text available.

Message received at 12778 <at> debbugs.gnu.org:


Received: (at 12778) by debbugs.gnu.org; 5 Nov 2012 17:29:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 05 12:29:55 2012
Received: from localhost ([127.0.0.1]:50895 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TVQUj-0007VT-U5
	for submit <at> debbugs.gnu.org; Mon, 05 Nov 2012 12:29:54 -0500
Received: from mail.99main.com ([208.28.184.11]:55413)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <warshall@HIDDEN>) id 1TVQUg-0007VJ-J1
	for 12778 <at> debbugs.gnu.org; Mon, 05 Nov 2012 12:29:52 -0500
Received: from warshall.local.loc (65.172.152.38.dsl.99main.com
	[65.172.152.38])
	by mail.99main.com (8.12.8+Sun/8.12.8) with ESMTP id qA5HQhJs027430;
	Mon, 5 Nov 2012 12:26:43 -0500 (EST)
Date: Mon, 5 Nov 2012 11:30:32 -0500
From: Andrew Warshall <warshall@HIDDEN>
To: "Voelker, Bernhard" <bernhard.voelker@HIDDEN>
Subject: Re: bug#12778: Failure when running check-root make target
Message-ID: <20121105113032.2bed4523@HIDDEN>
In-Reply-To: <A75C39900FCF0B42A2CE8B26F837D2C307E585@HIDDEN>
References: <20121105093026.6aa35952@HIDDEN>
	<A75C39900FCF0B42A2CE8B26F837D2C307E4BA@HIDDEN>
	<20121105101923.47fbc512@HIDDEN>
	<A75C39900FCF0B42A2CE8B26F837D2C307E585@HIDDEN>
X-Mailer: Claws Mail 3.8.1 (GTK+ 2.24.10; i686-pc-linux-gnu)
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: base64
X-Spam-Score: 2.2 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
	has
	identified this incoming email as possible spam. The original message
	has been attached to this so you can view it (if it isn't spam) or
	label similar future email.  If you have any questions, see
	the administrator of that system for details.
	Content preview:  -----BEGIN PGP SIGNED MESSAGE----- Hash: SHA1 On Mon,
	5 Nov 2012 16:22:37 +0000 "Voelker,
	Bernhard" <bernhard.voelker@HIDDEN>
	wrote: > Well, I don't mind. Actually,
	I find it more important to know >
	whether gnulib tests should be run as root or not: are the gnulib >
	tests secure enough to be run as root? I don't know,
	but I don't > think a dependant
	project like coreutils should run them as root. [...] 
	Content analysis details:   (2.2 points, 10.0 required)
	pts rule name              description
	---- ----------------------
	--------------------------------------------------
	-0.0 SPF_PASS               SPF: sender matches SPF record
	-0.4 RP_MATCHES_RCVD Envelope sender domain matches handover relay
	domain
	0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
	[score: 0.5000]
	1.7 MIME_BASE64_TEXT RAW: Message text disguised using base64 encoding
X-Debbugs-Envelope-To: 12778
Cc: "12778 <at> debbugs.gnu.org" <12778 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 2.2 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org", has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  -----BEGIN PGP SIGNED MESSAGE----- Hash: SHA1 On Mon, 5 Nov
    2012 16:22:37 +0000 "Voelker, Bernhard" <bernhard.voelker@HIDDEN>
    wrote: > Well, I don't mind. Actually, I find it more important to know >
    whether gnulib tests should be run as root or not: are the gnulib > tests
    secure enough to be run as root? I don't know, but I don't > think a dependant
    project like coreutils should run them as root. [...] 
 
 Content analysis details:   (2.2 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.4 RP_MATCHES_RCVD        Envelope sender domain matches handover relay domain
  0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
                             [score: 0.5000]
  1.7 MIME_BASE64_TEXT       RAW: Message text disguised using base64 encoding

LS0tLS1CRUdJTiBQR1AgU0lHTkVEIE1FU1NBR0UtLS0tLQ0KSGFzaDogU0hBMQ0KDQpPbiBNb24s
IDUgTm92IDIwMTIgMTY6MjI6MzcgKzAwMDANCiJWb2Vsa2VyLCBCZXJuaGFyZCIgPGJlcm5oYXJk
LnZvZWxrZXJAc2llbWVucy1lbnRlcnByaXNlLmNvbT4gd3JvdGU6DQo+IFdlbGwsIEkgZG9uJ3Qg
bWluZC4gQWN0dWFsbHksIEkgZmluZCBpdCBtb3JlIGltcG9ydGFudCB0byBrbm93DQo+IHdoZXRo
ZXIgZ251bGliIHRlc3RzIHNob3VsZCBiZSBydW4gYXMgcm9vdCBvciBub3Q6IGFyZSB0aGUgZ251
bGliDQo+IHRlc3RzIHNlY3VyZSBlbm91Z2ggdG8gYmUgcnVuIGFzIHJvb3Q/IEkgZG9uJ3Qga25v
dywgYnV0IEkgZG9uJ3QNCj4gdGhpbmsgYSBkZXBlbmRhbnQgcHJvamVjdCBsaWtlIGNvcmV1dGls
cyBzaG91bGQgcnVuIHRoZW0gYXMgcm9vdC4NCg0KU2luY2UgZ251bGliIGRvZXMgbm8gcmVsZWFz
ZXMgb2YgaXRzIG93biwgdGhvdWdoLCB0aGUgb25seSB3YXkgaXRzDQp0ZXN0cyBnZXQgcnVuIGlz
IHRocm91Z2ggaXRzIGRlcGVuZGVudCBwcm9qZWN0cy4gSSBkb24ndCBrbm93IG9mIGFuDQplYXN5
IHdheSB0byBydW4gdGhlIHRlc3RzIGV4Y2x1ZGluZyBnbnVsaWIuDQoNCkluIGFueSBldmVudCwg
dGhlIGdldGxvZ2luIHRlc3QgZG9lc24ndCBuZWVkIHRvIGJlIHJ1biBhcyByb290IChpbg0KZmFj
dCwgSSdtIG5vdCBzdXJlIHdoeSB5b3UnZCB3YW50IHRvKS4gU28gYSkgc29tZXRoaW5nIHN0cmFu
Z2UgaXMNCmhhcHBlbmluZyBhbmQgYikgSSdkIGxpa2UgdG8ga25vdyB3aG9tIGl0J3MgaGFwcGVu
aW5nIHRvIChpLmUuIHdoYXQncw0KZGlmZmVyZW50IGFib3V0IG91ciBzZXR1cHMgZnJvbSBldmVy
eW9uZSBlbHNlJ3MpLiBJIGZpbmQgaXQgaGFyZCB0bw0KYmVsaWV2ZSB0aGF0IG5vb25lIGVsc2Ug
aXMgdXNpbmcgdGhlIGN1cnJlbnQgdmVyc2lvbiBvZiBHTlUgbWFrZS4NCg0KICAgICAgICAgICAg
ICAgICAgIC1BbmRyZXcgV2Fyc2hhbGwNCi0tLS0tQkVHSU4gUEdQIFNJR05BVFVSRS0tLS0tDQpW
ZXJzaW9uOiBHbnVQRyB2MS40LjEyIChHTlUvTGludXgpDQoNCmlRRWNCQUVCQWdBR0JRSlFsK21v
QUFvSkVFU1BSV2g3OVQ3dFNWd0gvUkpXbCtSUUtNckNIdWFHVVVXaENub20NCmk5R3BVTjVtWURz
SDVpNHNidmZKN3hpS0lEVFRKSFNKc2RKWSs5dUdHNTFYUVZmRitkTU5HbGNNc1RBcXJ5VWYNCm1S
UkMwR1Q1b0VJdkVBQmFuMTRVT3ZwaEhPZUN1Y1hOTmgyNmN5M3l1YTZBOE5PNW5Ed2tHTHNrYmZW
eDJVaEwNCmd6cVZVMzdxS1MrL2xZQlBpYlNrdDRoektkS0dRZUFiWXNkSkFEUysyTUlLQU1PYVRO
dlR1S2dsRlBZeW04SUUNCm1pMkQxWlN6K01TclJ3S3dnUVJDZE8reXlFTDhRYXoyNFJ5cC9QNTdP
enRRak1PWHB4dzBiS1hRQ0JweHRxN28NClhsYUxrTFVrcWRldHR6c2ZubWRSdDdCZ2RJallzdDNM
TVBIR0NYd1lGbHR5RDRzMzFrZ3JxeFJIT0FwWERURT0NCj1kOWtuDQotLS0tLUVORCBQR1AgU0lH
TkFUVVJFLS0tLS0NCg==




Information forwarded to bug-coreutils@HIDDEN:
bug#12778; Package coreutils. Full text available.

Message received at 12778 <at> debbugs.gnu.org:


Received: (at 12778) by debbugs.gnu.org; 5 Nov 2012 16:26:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 05 11:26:06 2012
Received: from localhost ([127.0.0.1]:50754 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TVPUz-00062o-Va
	for submit <at> debbugs.gnu.org; Mon, 05 Nov 2012 11:26:06 -0500
Received: from senmx11-mx.siemens-enterprise.com ([62.134.46.9]:37714)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <bernhard.voelker@HIDDEN>)
	id 1TVPUx-00062h-Sr
	for 12778 <at> debbugs.gnu.org; Mon, 05 Nov 2012 11:26:04 -0500
Received: from MCHP02HTC.global-ad.net (unknown [172.29.42.235])
	by senmx11-mx.siemens-enterprise.com (Server) with ESMTP id
	A1C391EB8435; Mon,  5 Nov 2012 17:22:56 +0100 (CET)
Received: from MCHP02MSX.global-ad.net ([169.254.4.148]) by
	MCHP02HTC.global-ad.net ([172.29.42.235]) with mapi id 14.02.0318.001;
	Mon, 5 Nov 2012 17:22:38 +0100
From: "Voelker, Bernhard" <bernhard.voelker@HIDDEN>
To: Andrew Warshall <warshall@HIDDEN>
Subject: RE: bug#12778: Failure when running check-root make target
Thread-Topic: bug#12778: Failure when running check-root make target
Thread-Index: AQHNu2ntiErJjumkjEqpB5cRTVJ9k5fbYWnA///o3oCAACDgsA==
Date: Mon, 5 Nov 2012 16:22:37 +0000
Message-ID: <A75C39900FCF0B42A2CE8B26F837D2C307E585@HIDDEN>
References: <20121105093026.6aa35952@HIDDEN>
	<A75C39900FCF0B42A2CE8B26F837D2C307E4BA@HIDDEN>
	<20121105101923.47fbc512@HIDDEN>
In-Reply-To: <20121105101923.47fbc512@HIDDEN>
Accept-Language: de-DE, en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
x-originating-ip: [172.29.42.225]
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 12778
Cc: "12778 <at> debbugs.gnu.org" <12778 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 0.4 (/)

Andrew Warshall wrote (Monday, November 05, 2012 4:19 PM):

> On Mon, 5 Nov 2012 15:46:32 +0000
> "Voelker, Bernhard" <bernhard.voelker@HIDDEN> wrote:
>>   $ sudo env PATH=3D"$PATH"  make NON_ROOT_USERNAME=3Dnobody check-TESTS
>>   PASS: [...]
>>   ../build-aux/test-driver: line 95:  5158 Aborted
>> "$@" > $log_file 2>&1 FAIL: test-getlogin
>
> You've uncovered bug #11150, I believe. Is this in an xterm? The
> getlogin test fails for me too there (at least, it's done so for a
> while), and arguably rightly so. Basically, all that getlogin() does is
> to look the TTY it's connected to up in /var/run/utmp. This should list
> who's logged in at every terminal. Unfortunately, xterm doesn't write
> to /var/run/utmp, so getlogin() fails in this case. Whether you think
> this counts as a bug in getlogin() is up to you; anyway, it's different
> (I assume) from the issue we were having.
>
> If you want to complain about the getlogin() issue, by the way,=20
> that should go to the bug-gnulib list (at least, that's where it got
> forwarded before).

Well, I don't mind. Actually, I find it more important to know
whether gnulib tests should be run as root or not: are the gnulib
tests secure enough to be run as root? I don't know, but I don't
think a dependant project like coreutils should run them as root.

Have a nice day,
Berny




Information forwarded to bug-coreutils@HIDDEN:
bug#12778; Package coreutils. Full text available.

Message received at 12778 <at> debbugs.gnu.org:


Received: (at 12778) by debbugs.gnu.org; 5 Nov 2012 16:18:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 05 11:18:46 2012
Received: from localhost ([127.0.0.1]:50748 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TVPNu-0005sn-3V
	for submit <at> debbugs.gnu.org; Mon, 05 Nov 2012 11:18:46 -0500
Received: from mail.99main.com ([208.28.184.11]:37396)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <warshall@HIDDEN>) id 1TVPNq-0005se-HM
	for 12778 <at> debbugs.gnu.org; Mon, 05 Nov 2012 11:18:43 -0500
Received: from warshall.local.loc (65.172.152.38.dsl.99main.com
	[65.172.152.38])
	by mail.99main.com (8.12.8+Sun/8.12.8) with ESMTP id qA5GFZJs021360;
	Mon, 5 Nov 2012 11:15:36 -0500 (EST)
Date: Mon, 5 Nov 2012 10:19:23 -0500
From: Andrew Warshall <warshall@HIDDEN>
To: "Voelker, Bernhard" <bernhard.voelker@HIDDEN>
Subject: Re: bug#12778: Failure when running check-root make target
Message-ID: <20121105101923.47fbc512@HIDDEN>
In-Reply-To: <A75C39900FCF0B42A2CE8B26F837D2C307E4BA@HIDDEN>
References: <20121105093026.6aa35952@HIDDEN>
	<A75C39900FCF0B42A2CE8B26F837D2C307E4BA@HIDDEN>
X-Mailer: Claws Mail 3.8.1 (GTK+ 2.24.10; i686-pc-linux-gnu)
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: base64
X-Spam-Score: 2.2 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
	has
	identified this incoming email as possible spam. The original message
	has been attached to this so you can view it (if it isn't spam) or
	label similar future email.  If you have any questions, see
	the administrator of that system for details.
	Content preview:  -----BEGIN PGP SIGNED MESSAGE----- Hash: SHA1 On Mon,
	5 Nov 2012 15:46:32 +0000 "Voelker,
	Bernhard" <bernhard.voelker@HIDDEN>
	wrote: > > Does "make NON_ROOT_USERNAME=nobody check-TESTS" run as root
	in
	the > > gnulib-tests/ directory work for you? > > Sure it does. ;
	-) > > But
	with sudo it fails for 1 test: > > $ sudo env PATH="$PATH" make
	NON_ROOT_USERNAME=nobody
	check-TESTS > PASS: [...] > ../build-aux/test-driver: line 95: 5158
	Aborted > "$@" > $log_file 2>&1 FAIL: test-getlogin [...] 
	Content analysis details:   (2.2 points, 10.0 required)
	pts rule name              description
	---- ----------------------
	--------------------------------------------------
	-0.0 SPF_PASS               SPF: sender matches SPF record
	-0.4 RP_MATCHES_RCVD Envelope sender domain matches handover relay
	domain
	0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
	[score: 0.5000]
	1.7 MIME_BASE64_TEXT RAW: Message text disguised using base64 encoding
X-Debbugs-Envelope-To: 12778
Cc: "12778 <at> debbugs.gnu.org" <12778 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 2.2 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org", has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  -----BEGIN PGP SIGNED MESSAGE----- Hash: SHA1 On Mon, 5 Nov
    2012 15:46:32 +0000 "Voelker, Bernhard" <bernhard.voelker@HIDDEN>
    wrote: > > Does "make NON_ROOT_USERNAME=nobody check-TESTS" run as root in
    the > > gnulib-tests/ directory work for you? > > Sure it does. ;-) > > But
    with sudo it fails for 1 test: > > $ sudo env PATH="$PATH" make NON_ROOT_USERNAME=nobody
    check-TESTS > PASS: [...] > ../build-aux/test-driver: line 95: 5158 Aborted
    > "$@" > $log_file 2>&1 FAIL: test-getlogin [...] 
 
 Content analysis details:   (2.2 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.4 RP_MATCHES_RCVD        Envelope sender domain matches handover relay domain
  0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
                             [score: 0.4911]
  1.7 MIME_BASE64_TEXT       RAW: Message text disguised using base64 encoding
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Information forwarded to bug-coreutils@HIDDEN:
bug#12778; Package coreutils. Full text available.

Message received at 12778 <at> debbugs.gnu.org:


Received: (at 12778) by debbugs.gnu.org; 5 Nov 2012 15:50:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 05 10:50:02 2012
Received: from localhost ([127.0.0.1]:50721 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TVOw5-0005Ee-Kx
	for submit <at> debbugs.gnu.org; Mon, 05 Nov 2012 10:50:02 -0500
Received: from senmx11-mx.siemens-enterprise.com ([62.134.46.9]:53525)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <bernhard.voelker@HIDDEN>)
	id 1TVOw1-0005EI-Ul
	for 12778 <at> debbugs.gnu.org; Mon, 05 Nov 2012 10:49:59 -0500
Received: from MCHP01HTC.global-ad.net (unknown [172.29.42.234])
	by senmx11-mx.siemens-enterprise.com (Server) with ESMTP id
	B1F251EB8427; Mon,  5 Nov 2012 16:46:50 +0100 (CET)
Received: from MCHP02MSX.global-ad.net ([169.254.4.148]) by
	MCHP01HTC.global-ad.net ([172.29.42.234]) with mapi id 14.02.0318.001;
	Mon, 5 Nov 2012 16:46:32 +0100
From: "Voelker, Bernhard" <bernhard.voelker@HIDDEN>
To: Andrew Warshall <warshall@HIDDEN>
Subject: RE: bug#12778: Failure when running check-root make target
Thread-Topic: bug#12778: Failure when running check-root make target
Thread-Index: AQHNu2ntiErJjumkjEqpB5cRTVJ9k5fbYWnA
Date: Mon, 5 Nov 2012 15:46:32 +0000
Message-ID: <A75C39900FCF0B42A2CE8B26F837D2C307E4BA@HIDDEN>
References: <20121105093026.6aa35952@HIDDEN>
In-Reply-To: <20121105093026.6aa35952@HIDDEN>
Accept-Language: de-DE, en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
x-originating-ip: [172.29.42.225]
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 12778
Cc: "12778 <at> debbugs.gnu.org" <12778 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 0.4 (/)

Andrew Warshall wrote (Monday, November 05, 2012 3:30 PM):
>> This is on OpenSuSE 12.2 with GNU make 3.82.
>
> I'd be curious to know what it's supposed to be doing. For example,
> should "make check-root" be running any gnulib-tests at all? Those
> should all get run by "make check" anyway, no?

not sure. Are there any root-tests in gnulib?

> Does "make NON_ROOT_USERNAME=3Dnobody check-TESTS" run as root in the
> gnulib-tests/ directory work for you?

Sure it does. ;-)

But with sudo it fails for 1 test:

  $ sudo env PATH=3D"$PATH"  make NON_ROOT_USERNAME=3Dnobody check-TESTS
  PASS: [...]
  ../build-aux/test-driver: line 95:  5158 Aborted                 "$@" > $=
log_file 2>&1
  FAIL: test-getlogin

Have a nice day,
Berny




Information forwarded to bug-coreutils@HIDDEN:
bug#12778; Package coreutils. Full text available.

Message received at 12778 <at> debbugs.gnu.org:


Received: (at 12778) by debbugs.gnu.org; 5 Nov 2012 15:29:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 05 10:29:51 2012
Received: from localhost ([127.0.0.1]:50705 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TVOcZ-0004kb-6Q
	for submit <at> debbugs.gnu.org; Mon, 05 Nov 2012 10:29:51 -0500
Received: from mail.99main.com ([208.28.184.11]:58653)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <warshall@HIDDEN>) id 1TVOcW-0004kS-M6
	for 12778 <at> debbugs.gnu.org; Mon, 05 Nov 2012 10:29:49 -0500
Received: from warshall.local.loc (65.172.152.38.dsl.99main.com
	[65.172.152.38])
	by mail.99main.com (8.12.8+Sun/8.12.8) with ESMTP id qA5FQdJs026771;
	Mon, 5 Nov 2012 10:26:39 -0500 (EST)
Date: Mon, 5 Nov 2012 09:30:26 -0500
From: Andrew Warshall <warshall@HIDDEN>
To: bernhard.voelker@HIDDEN
Subject: bug#12778: Failure when running check-root make target
Message-ID: <20121105093026.6aa35952@HIDDEN>
X-Mailer: Claws Mail 3.8.1 (GTK+ 2.24.10; i686-pc-linux-gnu)
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: base64
X-Spam-Score: 2.2 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
	has
	identified this incoming email as possible spam. The original message
	has been attached to this so you can view it (if it isn't spam) or
	label similar future email.  If you have any questions, see
	the administrator of that system for details.
	Content preview: -----BEGIN PGP SIGNED MESSAGE----- Hash: SHA1 > > Is
	anyone else having our problem? > > In particular,
	is it local to GNU make 3.82?
	> > well, not the same, but ... > > make check-TESTS > make[6]: Entering
	directory `/home/berny/coreutils/gnulib-tests' > make[7]: Entering
	directory
	`/home/berny/coreutils/gnulib-tests' > make[8]: Entering directory
	`/home/berny/coreutils/gnulib-tests'
	> make[8]: Nothing to be done for `tests/chown/basic.sh.log'. >
	make[8]:
	Nothing to be done for `tests/cp/cp-a-selinux.sh.log'. > make[8]:
	Nothing
	to be done for `tests/cp/preserve-gid.sh.log'. > ... > make[8]: Nothing
	to
	be done for > `tests/touch/now-owned-by-other.sh.log'. make[8]: Leaving
	directory
	> `/home/berny/coreutils/gnulib-tests' fatal: making test-suite.log: >
	failed
	to create tests/chown/basic.sh.trs fatal: making > test-suite.log:
	failed
	to create tests/chown/basic.sh.log fatal: > making test-suite.log:
	failed
	to create > tests/cp/cp-a-selinux.sh.trs ... fatal: making
	test-suite.log:
	> failed to create tests/touch/now-owned-by-other.sh.log > make[7]: ***
	[test-suite.log] Error 1 > make[7]: Leaving directory
	`/home/berny/coreutils/gnulib-tests'
	> make[6]: *** [check-TESTS] Error 2 > > This is on OpenSuSE 12.2 with
	GNU make 3.82. [...] 
	Content analysis details:   (2.2 points, 10.0 required)
	pts rule name              description
	---- ----------------------
	--------------------------------------------------
	-0.0 SPF_PASS               SPF: sender matches SPF record
	-0.4 RP_MATCHES_RCVD Envelope sender domain matches handover relay
	domain
	0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
	[score: 0.5000]
	1.7 MIME_BASE64_TEXT RAW: Message text disguised using base64 encoding
X-Debbugs-Envelope-To: 12778
Cc: 12778 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 2.2 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org", has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  -----BEGIN PGP SIGNED MESSAGE----- Hash: SHA1 > > Is anyone
    else having our problem? > > In particular, is it local to GNU make 3.82?
    > > well, not the same, but ... > > make check-TESTS > make[6]: Entering
   directory `/home/berny/coreutils/gnulib-tests' > make[7]: Entering directory
    `/home/berny/coreutils/gnulib-tests' > make[8]: Entering directory `/home/berny/coreutils/gnulib-tests'
    > make[8]: Nothing to be done for `tests/chown/basic.sh.log'. > make[8]:
   Nothing to be done for `tests/cp/cp-a-selinux.sh.log'. > make[8]: Nothing
   to be done for `tests/cp/preserve-gid.sh.log'. > ... > make[8]: Nothing to
    be done for > `tests/touch/now-owned-by-other.sh.log'. make[8]: Leaving directory
    > `/home/berny/coreutils/gnulib-tests' fatal: making test-suite.log: > failed
    to create tests/chown/basic.sh.trs fatal: making > test-suite.log: failed
    to create tests/chown/basic.sh.log fatal: > making test-suite.log: failed
    to create > tests/cp/cp-a-selinux.sh.trs ... fatal: making test-suite.log:
    > failed to create tests/touch/now-owned-by-other.sh.log > make[7]: *** [test-suite.log]
    Error 1 > make[7]: Leaving directory `/home/berny/coreutils/gnulib-tests'
    > make[6]: *** [check-TESTS] Error 2 > > This is on OpenSuSE 12.2 with GNU
    make 3.82. [...] 
 
 Content analysis details:   (2.2 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.4 RP_MATCHES_RCVD        Envelope sender domain matches handover relay domain
  0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
                             [score: 0.4865]
  1.7 MIME_BASE64_TEXT       RAW: Message text disguised using base64 encoding
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Information forwarded to bug-coreutils@HIDDEN:
bug#12778; Package coreutils. Full text available.

Message received at 12778 <at> debbugs.gnu.org:


Received: (at 12778) by debbugs.gnu.org; 5 Nov 2012 11:20:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 05 06:20:28 2012
Received: from localhost ([127.0.0.1]:49836 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TVKjE-00042l-1W
	for submit <at> debbugs.gnu.org; Mon, 05 Nov 2012 06:20:28 -0500
Received: from senmx11-mx.siemens-enterprise.com ([62.134.46.9]:52150)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <bernhard.voelker@HIDDEN>)
	id 1TVKjC-00042f-W9
	for 12778 <at> debbugs.gnu.org; Mon, 05 Nov 2012 06:20:27 -0500
Received: from MCHP02HTC.global-ad.net (unknown [172.29.42.235])
	by senmx11-mx.siemens-enterprise.com (Server) with ESMTP id
	1705A1EB83FA; Mon,  5 Nov 2012 12:17:21 +0100 (CET)
Received: from MCHP02MSX.global-ad.net ([169.254.4.148]) by
	MCHP02HTC.global-ad.net ([172.29.42.235]) with mapi id 14.02.0318.001;
	Mon, 5 Nov 2012 12:17:03 +0100
From: "Voelker, Bernhard" <bernhard.voelker@HIDDEN>
To: Andrew Warshall <warshall@HIDDEN>, "12778 <at> debbugs.gnu.org"
	<12778 <at> debbugs.gnu.org>
Subject: RE: bug#12778: Failure when running check-root make target
Thread-Topic: bug#12778: Failure when running check-root make target
Thread-Index: AQHNusl5bQJ5jnoYr0mTXNpXRXy1b5fbFirA
Date: Mon, 5 Nov 2012 11:17:03 +0000
Message-ID: <A75C39900FCF0B42A2CE8B26F837D2C307E267@HIDDEN>
References: <20121104131301.525d5867@HIDDEN>
	<20121104142105.739f80ed@HIDDEN>
In-Reply-To: <20121104142105.739f80ed@HIDDEN>
Accept-Language: de-DE, en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
x-originating-ip: [172.29.42.225]
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 12778
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 0.4 (/)

Andrew Warshall wrote: (Sunday, November 04, 2012 8:21 PM)

>>> make[7]: *** No rule to make target `tests/chown/basic.sh.log',
>>> needed by `test-suite.log'.  Stop.

> Is anyone else having our problem?
> In particular, is it local to GNU make 3.82?

well, not the same, but ...

  make  check-TESTS
  make[6]: Entering directory `/home/berny/coreutils/gnulib-tests'
  make[7]: Entering directory `/home/berny/coreutils/gnulib-tests'
  make[8]: Entering directory `/home/berny/coreutils/gnulib-tests'
  make[8]: Nothing to be done for `tests/chown/basic.sh.log'.
  make[8]: Nothing to be done for `tests/cp/cp-a-selinux.sh.log'.
  make[8]: Nothing to be done for `tests/cp/preserve-gid.sh.log'.
  ...
  make[8]: Nothing to be done for `tests/touch/now-owned-by-other.sh.log'.
  make[8]: Leaving directory `/home/berny/coreutils/gnulib-tests'
  fatal: making test-suite.log: failed to create tests/chown/basic.sh.trs
  fatal: making test-suite.log: failed to create tests/chown/basic.sh.log
  fatal: making test-suite.log: failed to create tests/cp/cp-a-selinux.sh.t=
rs
  ...
  fatal: making test-suite.log: failed to create tests/touch/now-owned-by-o=
ther.sh.log
  make[7]: *** [test-suite.log] Error 1
  make[7]: Leaving directory `/home/berny/coreutils/gnulib-tests'
  make[6]: *** [check-TESTS] Error 2

This is on OpenSuSE 12.2 with GNU make 3.82.

Have a nice day,
Berny




Information forwarded to bug-coreutils@HIDDEN:
bug#12778; Package coreutils. Full text available.

Message received at 12778 <at> debbugs.gnu.org:


Received: (at 12778) by debbugs.gnu.org; 4 Nov 2012 20:20:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 04 15:20:33 2012
Received: from localhost ([127.0.0.1]:49318 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TV6gL-0007Lu-38
	for submit <at> debbugs.gnu.org; Sun, 04 Nov 2012 15:20:33 -0500
Received: from mail.99main.com ([208.28.184.11]:63171)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <warshall@HIDDEN>) id 1TV6gJ-0007Ln-59
	for 12778 <at> debbugs.gnu.org; Sun, 04 Nov 2012 15:20:31 -0500
Received: from warshall.local.loc (65.172.152.38.dsl.99main.com
	[65.172.152.38])
	by mail.99main.com (8.12.8+Sun/8.12.8) with ESMTP id qA4KHTJs022582
	for <12778 <at> debbugs.gnu.org>; Sun, 4 Nov 2012 15:17:29 -0500 (EST)
Date: Sun, 4 Nov 2012 14:21:05 -0500
From: Andrew Warshall <warshall@HIDDEN>
To: 12778 <at> debbugs.gnu.org
Subject: Re: Failure when running check-root make target
Message-ID: <20121104142105.739f80ed@HIDDEN>
In-Reply-To: <20121104131301.525d5867@HIDDEN>
References: <20121104131301.525d5867@HIDDEN>
X-Mailer: Claws Mail 3.8.1 (GTK+ 2.24.10; i686-pc-linux-gnu)
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: base64
X-Spam-Score: 2.2 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
	has
	identified this incoming email as possible spam. The original message
	has been attached to this so you can view it (if it isn't spam) or
	label similar future email.  If you have any questions, see
	the administrator of that system for details.
	Content preview:  -----BEGIN PGP SIGNED MESSAGE----- Hash: SHA1 > > Hi,
	> >
	> > When running 'make NON_ROOT_USERNAME=nobody check-root' on > >
	coreutils-8.20, 
	I get:_ROOT_USERNAME=nobody check- > > > > CCLD test-xvasprintf > > CC
	test-yesno.o
	> > CCLD test-yesno > > make[6]: Leaving directory > >
	`/home/burgessm/sources/coreutils-8.20/gnulib-tests'
	> > make check-TESTS > > make[6]: Entering directory > >
	`/home/burgessm/sources/coreutils-8.20/gnulib-tests'
	> > make[7]: Entering directory > >
	`/home/burgessm/sources/coreutils-8.20/gnulib-tests'
	> > make[7]: *** No rule to make target `tests/chown/basic.sh.log',
	> > needed
	by `test-suite.log'. Stop. > > make[7]: Leaving directory > >
	`/home/burgessm/sources/coreutils-8.20/gnulib-tests'
	> > make[6]: *** [check-TESTS] Error 2 > > > > This looks a little odd
	to
	me, as it appears that its finished > > building the gnulib-tests, comes
	out of that directory,
	then > > immediately goes back in to then start running
	coreutils' own tests,
	> > which it has already successfully run. Unless I've
	completely > > misread the logs, that is. > > > > This is on a Fedora-17
	host,
	in case it's caused by make (3.82) or > > something else in the
	toolchain. > > > > Thanks,
	> > > > Matt. > > > I'm getting the same thing --- same version
	of make,
	too. I think it's > finished building the gnulib-tests and is at
	the time of the error > trying to start running them. At that point,
	it's
	looking for logs > of the non-gnulib tests in tests/ (the non-gnulib
	testing
	dir). Those > exist, but under names like foo.log (for test foo),
	whereas
	> gnulib-tests/Makefile is expecting foo.sh.log. I tried to wade
	through > the Makefile to find the problem,
	but failed miserably. It would be > good
	if someone who understands Autoconf could look at this. > > Please note
	that this problem didn't exist in 8.19. [...] 
	Content analysis details:   (2.2 points, 10.0 required)
	pts rule name              description
	---- ----------------------
	--------------------------------------------------
	-0.0 SPF_PASS               SPF: sender matches SPF record
	-0.4 RP_MATCHES_RCVD Envelope sender domain matches handover relay
	domain
	0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
	[score: 0.5000]
	1.7 MIME_BASE64_TEXT RAW: Message text disguised using base64 encoding
X-Debbugs-Envelope-To: 12778
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 2.2 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org", has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  -----BEGIN PGP SIGNED MESSAGE----- Hash: SHA1 > > Hi, > >
   > > When running 'make NON_ROOT_USERNAME=nobody check-root' on > > coreutils-8.20,
    I get:_ROOT_USERNAME=nobody check- > > > > CCLD test-xvasprintf > > CC test-yesno.o
    > > CCLD test-yesno > > make[6]: Leaving directory > > `/home/burgessm/sources/coreutils-8.20/gnulib-tests'
    > > make check-TESTS > > make[6]: Entering directory > > `/home/burgessm/sources/coreutils-8.20/gnulib-tests'
    > > make[7]: Entering directory > > `/home/burgessm/sources/coreutils-8.20/gnulib-tests'
    > > make[7]: *** No rule to make target `tests/chown/basic.sh.log', > > needed
    by `test-suite.log'. Stop. > > make[7]: Leaving directory > > `/home/burgessm/sources/coreutils-8.20/gnulib-tests'
    > > make[6]: *** [check-TESTS] Error 2 > > > > This looks a little odd to
    me, as it appears that its finished > > building the gnulib-tests, comes
   out of that directory, then > > immediately goes back in to then start running
    coreutils' own tests, > > which it has already successfully run. Unless I've
    completely > > misread the logs, that is. > > > > This is on a Fedora-17
   host, in case it's caused by make (3.82) or > > something else in the toolchain.
    > > > > Thanks, > > > > Matt. > > > I'm getting the same thing --- same version
    of make, too. I think it's > finished building the gnulib-tests and is at
    the time of the error > trying to start running them. At that point, it's
    looking for logs > of the non-gnulib tests in tests/ (the non-gnulib testing
    dir). Those > exist, but under names like foo.log (for test foo), whereas
    > gnulib-tests/Makefile is expecting foo.sh.log. I tried to wade through
   > the Makefile to find the problem, but failed miserably. It would be > good
    if someone who understands Autoconf could look at this. > > Please note that
    this problem didn't exist in 8.19. [...] 
 
 Content analysis details:   (2.2 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.4 RP_MATCHES_RCVD        Envelope sender domain matches handover relay domain
  0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
                             [score: 0.4994]
  1.7 MIME_BASE64_TEXT       RAW: Message text disguised using base64 encoding
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Information forwarded to bug-coreutils@HIDDEN:
bug#12778; Package coreutils. Full text available.

Message received at 12778 <at> debbugs.gnu.org:


Received: (at 12778) by debbugs.gnu.org; 4 Nov 2012 19:12:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 04 14:12:31 2012
Received: from localhost ([127.0.0.1]:49272 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TV5cU-0005ni-QM
	for submit <at> debbugs.gnu.org; Sun, 04 Nov 2012 14:12:31 -0500
Received: from mail.99main.com ([208.28.184.11]:51679)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <warshall@HIDDEN>) id 1TV5cS-0005nb-6T
	for 12778 <at> debbugs.gnu.org; Sun, 04 Nov 2012 14:12:28 -0500
Received: from warshall.local.loc (65.172.152.38.dsl.99main.com
	[65.172.152.38])
	by mail.99main.com (8.12.8+Sun/8.12.8) with ESMTP id qA4J9PJs027277
	for <12778 <at> debbugs.gnu.org>; Sun, 4 Nov 2012 14:09:26 -0500 (EST)
Date: Sun, 4 Nov 2012 13:13:01 -0500
From: Andrew Warshall <warshall@HIDDEN>
To: 12778 <at> debbugs.gnu.org
Subject: Failure when running check-root make target
Message-ID: <20121104131301.525d5867@HIDDEN>
X-Mailer: Claws Mail 3.8.1 (GTK+ 2.24.10; i686-pc-linux-gnu)
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: base64
X-Spam-Score: 2.2 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
	has
	identified this incoming email as possible spam. The original message
	has been attached to this so you can view it (if it isn't spam) or
	label similar future email.  If you have any questions, see
	the administrator of that system for details.
	Content preview:  -----BEGIN PGP SIGNED MESSAGE----- Hash: SHA1 > Hi,
	> > When
	running 'make NON_ROOT_USERNAME=nobody check-root' on > coreutils-8.20,
	I
	get: > > CCLD test-xvasprintf > CC test-yesno.o > CCLD test-yesno >
	make[6]: Leaving directory >
	`/home/burgessm/sources/coreutils-8.20/gnulib-tests'
	> make check-TESTS > make[6]: Entering directory >
	`/home/burgessm/sources/coreutils-8.20/gnulib-tests'
	> make[7]: Entering directory >
	`/home/burgessm/sources/coreutils-8.20/gnulib-tests'
	> make[7]: *** No rule to make target `tests/chown/basic.sh.log', needed
	> by `test-suite.log'. Stop. > make[7]: Leaving directory >
	`/home/burgessm/sources/coreutils-8.20/gnulib-tests'
	> make[6]: *** [check-TESTS] Error 2 > > This looks a little odd to me,
	as it appears that its finished > building the gnulib-tests,
	comes out of that directory,
	then > immediately goes back in to then start running coreutils'
	own tests,
	> which it has already successfully run. Unless I've completely
	> misread the logs, that is. > > This is on a Fedora-17 host,
	in case it's
	caused by make (3.82) or > something else in the toolchain. > > Thanks,
	> > Matt. [...] 
	Content analysis details:   (2.2 points, 10.0 required)
	pts rule name              description
	---- ----------------------
	--------------------------------------------------
	-0.0 SPF_PASS               SPF: sender matches SPF record
	-0.4 RP_MATCHES_RCVD Envelope sender domain matches handover relay
	domain
	0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
	[score: 0.5000]
	1.7 MIME_BASE64_TEXT RAW: Message text disguised using base64 encoding
X-Debbugs-Envelope-To: 12778
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 2.2 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org", has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  -----BEGIN PGP SIGNED MESSAGE----- Hash: SHA1 > Hi, > > When
    running 'make NON_ROOT_USERNAME=nobody check-root' on > coreutils-8.20, I
    get: > > CCLD test-xvasprintf > CC test-yesno.o > CCLD test-yesno > make[6]:
    Leaving directory > `/home/burgessm/sources/coreutils-8.20/gnulib-tests'
   > make check-TESTS > make[6]: Entering directory > `/home/burgessm/sources/coreutils-8.20/gnulib-tests'
    > make[7]: Entering directory > `/home/burgessm/sources/coreutils-8.20/gnulib-tests'
    > make[7]: *** No rule to make target `tests/chown/basic.sh.log', needed
   > by `test-suite.log'. Stop. > make[7]: Leaving directory > `/home/burgessm/sources/coreutils-8.20/gnulib-tests'
    > make[6]: *** [check-TESTS] Error 2 > > This looks a little odd to me, as
    it appears that its finished > building the gnulib-tests, comes out of that
    directory, then > immediately goes back in to then start running coreutils'
    own tests, > which it has already successfully run. Unless I've completely
    > misread the logs, that is. > > This is on a Fedora-17 host, in case it's
    caused by make (3.82) or > something else in the toolchain. > > Thanks, >
    > Matt. [...] 
 
 Content analysis details:   (2.2 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.4 RP_MATCHES_RCVD        Envelope sender domain matches handover relay domain
  0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
                             [score: 0.4970]
  1.7 MIME_BASE64_TEXT       RAW: Message text disguised using base64 encoding
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Information forwarded to bug-coreutils@HIDDEN:
bug#12778; Package coreutils. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 1 Nov 2012 20:32:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 01 16:32:35 2012
Received: from localhost ([127.0.0.1]:43510 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TU1RK-00054v-NU
	for submit <at> debbugs.gnu.org; Thu, 01 Nov 2012 16:32:35 -0400
Received: from eggs.gnu.org ([208.118.235.92]:36516)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <matthew@HIDDEN>) id 1TU1RJ-00054p-GP
	for submit <at> debbugs.gnu.org; Thu, 01 Nov 2012 16:32:34 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <matthew@HIDDEN>) id 1TU1Oe-0007PU-Br
	for submit <at> debbugs.gnu.org; Thu, 01 Nov 2012 16:29:49 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-6.9 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_HI
	autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:38695)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <matthew@HIDDEN>) id 1TU1Oe-0007PG-8a
	for submit <at> debbugs.gnu.org; Thu, 01 Nov 2012 16:29:48 -0400
Received: from eggs.gnu.org ([208.118.235.92]:33272)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <matthew@HIDDEN>) id 1TU1Od-000820-C5
	for bug-coreutils@HIDDEN; Thu, 01 Nov 2012 16:29:48 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <matthew@HIDDEN>) id 1TU1Oc-0007Ns-Do
	for bug-coreutils@HIDDEN; Thu, 01 Nov 2012 16:29:47 -0400
Received: from quantum.linuxfromscratch.org ([216.171.237.234]:48716)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <matthew@HIDDEN>) id 1TU1Oc-0007K7-7e
	for bug-coreutils@HIDDEN; Thu, 01 Nov 2012 16:29:46 -0400
Received: by quantum.linuxfromscratch.org (Postfix, from userid 108)
	id 2473B1428D; Thu,  1 Nov 2012 14:29:44 -0600 (MDT)
Received: from [192.168.0.3] (5ad2953d.bb.sky.com [90.210.149.61])
	by quantum.linuxfromscratch.org (Postfix) with ESMTPA id E012D14277;
	Thu,  1 Nov 2012 14:29:36 -0600 (MDT)
Message-ID: <1351801773.1606.7.camel@HIDDEN>
Subject: Failure when running check-root make target
From: Matt Burgess <matthew@HIDDEN>
To: bug-coreutils@HIDDEN
Date: Thu, 01 Nov 2012 20:29:33 +0000
Content-Type: text/plain; charset="UTF-8"
X-Mailer: Evolution 3.4.4 (3.4.4-2.fc17) 
Mime-Version: 1.0
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 208.118.235.17
X-Spam-Score: -4.2 (----)
X-Debbugs-Envelope-To: submit
Cc: matthew@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.2 (----)

Hi,

When running 'make NON_ROOT_USERNAME=nobody check-root' on
coreutils-8.20, I get:

  CCLD   test-xvasprintf
  CC     test-yesno.o
  CCLD   test-yesno
make[6]: Leaving directory
`/home/burgessm/sources/coreutils-8.20/gnulib-tests'
make  check-TESTS
make[6]: Entering directory
`/home/burgessm/sources/coreutils-8.20/gnulib-tests'
make[7]: Entering directory
`/home/burgessm/sources/coreutils-8.20/gnulib-tests'
make[7]: *** No rule to make target `tests/chown/basic.sh.log', needed
by `test-suite.log'.  Stop.
make[7]: Leaving directory
`/home/burgessm/sources/coreutils-8.20/gnulib-tests'
make[6]: *** [check-TESTS] Error 2

This looks a little odd to me, as it appears that its finished building
the gnulib-tests, comes out of that directory, then immediately goes
back in to then start running coreutils' own tests, which it has already
successfully run.  Unless I've completely misread the logs, that is.

This is on a Fedora-17 host, in case it's caused by make (3.82) or
something else in the toolchain.

Thanks,

Matt.





Acknowledgement sent to Matt Burgess <matthew@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-coreutils@HIDDEN. Full text available.
Report forwarded to bug-coreutils@HIDDEN:
bug#12778; Package coreutils. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.